series: focal
applications:
  containerd:
    charm: containerd
    channel: 1.24/stable
    revision: 27
  easyrsa:
    charm: easyrsa
    channel: 1.24/stable
    revision: 15
    resources:
      easyrsa: 2
    num_units: 1
    to:
    - "0"
    constraints: arch=amd64
  etcd:
    charm: etcd
    channel: 1.24/stable
    revision: 701
    resources:
      core: 0
      etcd: 3
      snapshot: 0
    num_units: 1
    to:
    - "0"
    options:
      channel: 3.4/stable
    constraints: arch=amd64
    storage:
      data: loop,1024M
  kubernetes-control-plane:
    charm: kubernetes-control-plane
    channel: 1.24/stable
    revision: 171
    resources:
      cdk-addons: 4
      cni-amd64: 162
      cni-arm64: 162
      cni-s390x: 162
      core: 4
      kube-apiserver: 4
      kube-controller-manager: 4
      kube-proxy: 4
      kube-scheduler: 4
      kubectl: 4
    num_units: 1
    to:
    - "0"
    expose: true
    options:
      authorization-mode: AlwaysAllow
      channel: 1.22/stable
      enable-dashboard-addons: false
      enable-metrics: false
      service-cidr: 10.96.0.0/12
      snapd_refresh: max
    constraints: arch=amd64
  kubernetes-worker:
    charm: kubernetes-worker
    channel: 1.24/stable
    revision: 44
    resources:
      cni-amd64: 44
      cni-arm64: 44
      cni-s390x: 44
      core: 1
      kube-proxy: 1
      kubectl: 1
      kubelet: 1
    num_units: 1
    to:
    - "1"
    expose: true
    options:
      channel: 1.22/stable
      ingress: false
      snapd_refresh: max
    constraints: arch=amd64
  ntp:
    charm: ntp
    channel: stable
    revision: 50
  ubuntu:
    charm: ubuntu
    channel: stable
    revision: 24
    num_units: 2
    to:
    - "0"
    - "1"
    constraints: arch=amd64
    storage:
      block: loop,100M
      files: rootfs,100M
machines:
  "0":
    constraints: arch=amd64 mem=3584
  "1": {}
relations:
- - kubernetes-control-plane:kube-control
  - kubernetes-worker:kube-control
- - kubernetes-control-plane:certificates
  - easyrsa:client
- - etcd:certificates
  - easyrsa:client
- - kubernetes-control-plane:etcd
  - etcd:db
- - kubernetes-worker:certificates
  - easyrsa:client
- - containerd:containerd
  - kubernetes-worker:container-runtime
- - containerd:containerd
  - kubernetes-control-plane:container-runtime
- - ubuntu:juju-info
  - ntp:juju-info
